/******************************************************************************/
import * as Promise from "bluebird";
import * as express from "express";
/******************************************************************************/
interface LeveledUser<AccessLevel, AppName> {
    accessLevel: AccessLevel;
    activeApps: AppName[];
}
/******************************************************************************/
export declare class Library<AppName extends string, View extends string, AccessLevel extends string> {
    private readonly signedIn;
    private readonly getCleanedUser;
    /*****************************************/
    apps: AppName[];
    /*****************************************/
    constructor(signedIn: (req: express.Request, live: boolean) => boolean, getCleanedUser: (req: express.Request, live: boolean) => Promise<LeveledUser<AccessLevel, AppName>>, appNames: AppName[]);
    /*****************************************/
    validateAppContext(app: AppName): boolean;
    /*****************************************************************/
    makeActiveAppCheck(app: AppName, view: View, live: boolean): (req: express.Request, res: express.Response, next: express.NextFunction) => void;
    /*****************************************************************/
    makeLevelCheck(accessLevel: AccessLevel, live: boolean, app?: AppName, innerContext?: string): express.RequestHandler;
    /******************************************************************************/
    passpointRedirect(res: express.Response, app: AppName, live: boolean, innerContext?: string): void;
}
export {};
/******************************************************************************/ 
